Page MenuHomePhabricator

VisualEditor: Clicking on somewhere else in the document after opening a link inspector inside a slug throws error "TypeError: Cannot read property 'previousSibling' of undefined"
Closed, ResolvedPublic1 Story Points

Description

Screenshot

Steps to reproduce:

1.Open a page with VE
2.Insert a bullet list
3.Add some indentation
4.Now click on any slug that got created due to indentation
5.Open a link inspector on that position
6.While the link inspector is open, click somewhere else in the document to close the inspector

Observed Result:
The link inspector stays opened in that position and there is an error in the console:
TypeError: Cannot read property 'previousSibling' of undefined

See the screenshot attached

Environment:Betalabs,test2 and en.wiki


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=72558

Attached:

Details

Reference
bz72494

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:49 AM
bzimport set Reference to bz72494.
Ryasmeen created this task.Oct 24 2014, 8:48 PM
gerritbot added a subscriber: gerritbot.

Change 190022 had a related patch set uploaded (by Esanders):
Simplify slug behaviour

https://gerrit.wikimedia.org/r/190022

Patch-For-Review

Change 190022 merged by jenkins-bot:
Simplify slug behaviour

https://gerrit.wikimedia.org/r/190022

Jdforrester-WMF closed this task as Resolved.Feb 24 2015, 1:15 AM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF set Security to None.